Subject: RE: [PATCH] ppc44x:PHY fixup for USB on canyonlands board

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 11 Nov 2010 02:22:55 +1100

On Wed, 2010-11-10 at 20:13 +0530, Rupjyoti Sarmah wrote:
> >Is this just for canyonlands?  If so, it's probably better off in a
> >caynonlands specific file, or a function that gets called in the common
> >platform file if the model matches canyonlands.  It seems a bit overkill
> >to introduce an entire new file and Kconfig option for this.
> 
> 
> We want to have a file that will have fixup codes for all the ppc44x
> specific boards. Within this ppc44x_fixup.c file we would like to place
> any fixup code that
> might come later for any of the ppc44x based boards. Although I released
> it only with Canyonlands code, it would be ppc44x specific file.
> 
> Do let me know if that is ok.

No. You should have a file per board that needs fixup. Take them out of
ppc4xx_simple.c and create a board file.

Cheers,
Ben.